## opencolorio 1.0.8+repack1

=== debian/changelog ===
opencolorio (1.0.8+repack1-0ubuntu3) saucy; urgency=low

  * Set -DOCIO_USE_SSE:BOLL=OFF to avoid SSE on non-x86 arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 18 Aug 2013 23:21:07 -0600

opencolorio (1.0.8+repack1-0ubuntu2) saucy; urgency=low

  * Build with --with python2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 16:17:40 +0100

opencolorio (1.0.8+repack1-0ubuntu1) saucy; urgency=low

  * Upload to Ubuntu
  * Add build-depends on libxi-dev and libxmu-dev
  * Set -DOCIO_BUILD_DOCS:BOOL=OFF to avoid compile failures
  * Rebuild tar without ext/ and src/mari/ directory for licence simplicity
  * Complete debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jun 2013 17:31:48 +0100

opencolorio (1.0.8-1) unstable; urgency=low

  * Initial release.  Based on ubuntu
    "libopencolorio-dev-1.0.8-0irie1~quantal1"
    done by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
    as found here https://launchpad.net/~irie/+archive/ocio-static

 -- Marcus Watts <mdw@umich.edu>  Sun, 27 Jan 2013 22:25:51 -0500
