=== debian/control ===
Source: opencolorio
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcus Watts <mdw@umich.edu>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 pkg-config,
 liblcms2-dev,
 libopenimageio-dev,
 libqt4-opengl-dev,
 libtinyxml-dev,
 libyaml-cpp-dev,
 python-dev,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 libxi-dev,
 libxmu-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://opencolorio.org
#Vcs-Git: git://git.debian.org/collab-maint/opencolorio.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencolorio.git;a=summary

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Depends: libopencolorio1 (= ${binary:Version}), ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the development files used to build applications
 using libopencolorio.

Package: libopencolorio1
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends}
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the runtime files used to run applications
 built against libopencolorio.

Package: opencolorio-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides some utilities.

#Package: opencolorio-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
#Description: complete color management solution - documentation
# OpenColorIO (OCIO) is a complete color management solution geared
# towards motion picture production with an emphasis on visual effects
# and computer animation. OCIO provides a straightforward and consistent
# user experience across all supporting applications while allowing for
# sophisticated back-end configuration options suitable for high-end
# production usage. OCIO is compatible with the Academy Color Encoding
# Specification (ACES) and is LUT-format agnostic, supporting many
# popular formats.
# .
# OpenColorIO is released as version 1.0 and has been in development
# since 2003. OCIO represents the culmination of years of production
# experience earned on such films as SpiderMan 2 (2004), Surf's Up
# (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
# (2010), and many more. OpenColorIO is natively supported in commercial
# applications like Katana, Mari, Silhouette FX, and others coming soon.
# .
# OpenColorIO is free and is one of several open source projects
# actively sponsored by Sony Imageworks.
# .
# This package provides the documentation.

Package: python-pyopencolorio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libopencolorio1
Description: complete color management solution - python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides Python bindings to the OpenColorIO library.
