=== debian/rules ===
#!/usr/bin/make -f

#Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#Uncomment this to turn on all hardening flags
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)


BLDDIR = debian/cmake
%:
	dh $@ -Scmake -B$(BLDDIR) --parallel -X/License.txt --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_USE_SSE:BOOL=OFF \
		-DOCIO_BUILD_APPS:BOOL=ON \
		-DOCIO_BUILD_DOCS:BOOL=OFF \
		-DOCIO_BUILD_JNIGLUE:BOOL=OFF \
		-DOCIO_BUILD_NUKE:BOOL=OFF \
		-DOCIO_BUILD_PYGLUE:BOOL=ON \
		-DOCIO_BUILD_SHARED:BOOL=ON \
		-DOCIO_BUILD_STATIC:BOOL=ON \
		-DOCIO_BUILD_TESTS:BOOL=OFF \
		-DOCIO_BUILD_TRUELIGHT:BOOL=OFF \
		-DUSE_EXTERNAL_TINYXML:BOOL=ON \
		-DUSE_EXTERNAL_YAML:BOOL=ON

#override_dh_install:
#	mv debian/tmp/usr/share/doc/OpenColorIO debian/tmp/usr/share/doc/opencolorio
#	dh_install

override_dh_auto_clean:
	pyclean .
#	quilt pop -a
	dh_auto_clean
