## opencolorio 1.0.8+repack2~dfsg0

=== debian/changelog ===
opencolorio (1.0.8+repack2~dfsg0-2.1ubuntu2) trusty; urgency=medium

  * Rebuild against recent openimageio.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 15:16:06 +0100

opencolorio (1.0.8+repack2~dfsg0-2.1ubuntu1) trusty; urgency=medium

  * Fake-sync from debian, remaining changes:
    - use version number >> 1.0.8+repack1-0ubuntu3 (previous ubuntu version number)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 23:04:22 +0000

opencolorio (1.0.8~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libboost-dev (Closes: #725533)
  * Build-depend on yaml-cpp0.3, instead of yaml-cpp (0.5).
  * Apply patch from Petr Salinger to fix FTBFS on kFreeBSD (Closes: #719173)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:21:02 +0000

opencolorio (1.0.8~dfsg0-2) unstable; urgency=low

  * debian/rules: get-orig-source stuff added
  * debian/rules: useless dh addon removed
  * debian/rules: License.txt duplicate removed
  * debian/rules: SSE optimization disabled (Closes: #719174)
  * debian/libopencolorio1.symbols: file removed (Closes: #719175)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 20 Aug 2013 10:53:19 +0200

opencolorio (1.0.8~dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #700676)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 12 Jun 2013 14:54:06 +0200
