=== debian/control ===
--- 
+++ 
@@ -1,31 +1,42 @@
 Source: opencolorio
+Section: libs
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcus Watts <mdw@umich.edu>
-Build-Depends: debhelper (>= 8.0.0),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
  cmake,
- pkg-config,
+ debhelper (>= 9),
+ junit4,
+ libboost-dev,
+ libglew-dev,
  liblcms2-dev,
  libopenimageio-dev,
  libqt4-opengl-dev,
  libtinyxml-dev,
- libyaml-cpp-dev,
+ libyaml-cpp0.3-dev,
+ pkg-config,
  python-dev,
+ python-docutils,
+ python-jinja2,
+ python-pygments,
+ python-setuptools,
+ python-sphinx,
+ texlive-fonts-recommended,
  texlive-latex-base,
- texlive-latex-recommended,
- texlive-fonts-recommended,
- libxi-dev,
- libxmu-dev
+ texlive-latex-extra,
+ texlive-latex-recommended
+X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
-Section: libs
 Homepage: http://opencolorio.org
-#Vcs-Git: git://git.debian.org/collab-maint/opencolorio.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencolorio.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/opencolorio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/opencolorio.git
 
 Package: libopencolorio-dev
 Section: libdevel
 Architecture: any
-Depends: libopencolorio1 (= ${binary:Version}), ${misc:Depends}
+Depends: libopencolorio1 (= ${binary:Version}),
+         ${misc:Depends}
 Description: complete color management solution - development
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -52,7 +63,8 @@
 Package: libopencolorio1
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends},  ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - runtime
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -79,7 +91,8 @@
 Package: opencolorio-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - utilities
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -102,36 +115,41 @@
  .
  This package provides some utilities.
 
-#Package: opencolorio-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends}
-#Description: complete color management solution - documentation
-# OpenColorIO (OCIO) is a complete color management solution geared
-# towards motion picture production with an emphasis on visual effects
-# and computer animation. OCIO provides a straightforward and consistent
-# user experience across all supporting applications while allowing for
-# sophisticated back-end configuration options suitable for high-end
-# production usage. OCIO is compatible with the Academy Color Encoding
-# Specification (ACES) and is LUT-format agnostic, supporting many
-# popular formats.
-# .
-# OpenColorIO is released as version 1.0 and has been in development
-# since 2003. OCIO represents the culmination of years of production
-# experience earned on such films as SpiderMan 2 (2004), Surf's Up
-# (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
-# (2010), and many more. OpenColorIO is natively supported in commercial
-# applications like Katana, Mari, Silhouette FX, and others coming soon.
-# .
-# OpenColorIO is free and is one of several open source projects
-# actively sponsored by Sony Imageworks.
-# .
-# This package provides the documentation.
+Package: opencolorio-doc
+Section: doc
+Architecture: all
+Depends: libjs-jquery,
+         libjs-underscore,
+         ${misc:Depends}
+Description: complete color management solution - documentation
+ OpenColorIO (OCIO) is a complete color management solution geared
+ towards motion picture production with an emphasis on visual effects
+ and computer animation. OCIO provides a straightforward and consistent
+ user experience across all supporting applications while allowing for
+ sophisticated back-end configuration options suitable for high-end
+ production usage. OCIO is compatible with the Academy Color Encoding
+ Specification (ACES) and is LUT-format agnostic, supporting many
+ popular formats.
+ .
+ OpenColorIO is released as version 1.0 and has been in development
+ since 2003. OCIO represents the culmination of years of production
+ experience earned on such films as SpiderMan 2 (2004), Surf's Up
+ (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
+ (2010), and many more. OpenColorIO is natively supported in commercial
+ applications like Katana, Mari, Silhouette FX, and others coming soon.
+ .
+ OpenColorIO is free and is one of several open source projects
+ actively sponsored by Sony Imageworks.
+ .
+ This package provides the documentation.
 
 Package: python-pyopencolorio
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libopencolorio1
+Depends: libopencolorio1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - python bindings
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
